<?php
/* utf8-marker = äöüß */

/*
 * Remotecontent_XH
 *
 * @author Olaf Penschke
 * @version 1.0 (22.03.2016)
================================================================================
olape

================================================================================ 

externe Inhalte in eine Seite einbinden
Aufruf mit:

======================================
html-Datei mit Authentifizierung einbinden
	{{{op_extern_content('https://domain.tld/userfiles/extern_content/datei.htm', '16-stelliges-AuthToken', 'fiktive_Browserkenneung', 'Art des Inhalts (txt, html, fullhtml', 'Wenn javaScript erhalten bleiben soll, dann js');}}}
		
		CURLOPT_USERAGENT, authtoken und IP der Webseite/des Server sind, für dieses Beispiel in "/userfiles/extern_content/.htaccess" als Regel für den Zugriff festgelegt.

======================================
	Druckausgabe von CMSimple einbinden (Urheberrechte beachten!!!)
		{{{op_extern_content('http://domain.tld/?IrgendeineSeite&print', '', '', 'fullhtml', 'js');}}}

	txt --> reine Textdatei
	html --> Boilerplate_XH Textblock
	fullhtml --> vollständige html-Datei (html, head, body, ...)

	js --> wenn gesetzt, wird JavaScript nicht gefiltert


================================================================================ 
*/

/*
 * Check if PLUGINLOADER is calling and die if not.
 */
if (!defined('PLUGINLOADER')) {
    die(
        'Plugin '. basename(dirname(__FILE__))
        . ' requires a newer version of the Pluginloader. No direct access.'
    );
}

/*
 * Check if plugin was called.
 * If so, let the Loader create and handle the admin-menu.
 */
if (XH_wantsPluginAdministration('remotecontent')) {
    $o .= print_plugin_admin('off');
    if ($admin == '') {
        $o .= "\n" . '<div class="plugintext"><div class="plugineditcaption">'
            . ucfirst(str_replace('_', ' ', $plugin)) . '</div></div>' . tag('br');
    }
    $o .= plugin_admin_common($action, $admin, $plugin);
	$o .= "\n".'<p style="font-family: arial, sans-serif;"><b>Plugin "Remotecontent_XH" for CMSimple_XH</b></p>
	<hr />
	<p style="font-family: arial, sans-serif;">Remotecontent_XH Version: 1.0</p>
	<p style="font-family: arial, sans-serif;">Remotecontent_XH, Copyright © 2016 <a target="_blank" href="http://olaf.penschke.net/?CMSimple_XH/Plugins">Olaf Penschke</a></p>
	<p> </p>
	<p style="font-family: arial, sans-serif;"><a target="_blank" href="http://olaf.penschke.net/?Kontakt&xh_mailform_subject=Remotecontent_XH">Gern nehme ich auch Informationen entgegen, auf welchen Seiten das Plugin eingesetzt wird.</a></p>
	<p> </p>
	<p style="font-family: arial, sans-serif;"><b>Remotecontent_XH</b> kann unter Einhaltung der <a target="_blank" href="http://www.gnu.de/documents/gpl.de.html">GPLv3</a> verwendet werden.</p>
	<p> </p>
	<hr />
	<p style="font-family: arial, sans-serif;">Adapted for CMSimple_XH 1.6.7 by <a target="_blank" href="http://www.cmsimple-xh.org/">cmsimple-xh.org</a></p>';

//*********************************************************************************************
// System check
//*********************************************************************************************
	$o .= '<h4>System check</h4>';
// config.php vorhanden? Sonst erstellen.
/*	if(!file_exists($pth['folder']['plugins'] . 'remotecontent/config/config.php')) {
		if (!copy($pth['folder']['plugins'] . 'remotecontent/config/defaultconfig.php', $pth['folder']['plugins'] . 'remotecontent/config/config.php')) {
			$o .= 'Creating ' . $pth['folder']['plugins'] . 'remotecontent/config/config.php failed.' . "\n";
		}
	}*/
// cURL installiert / aktiviert
	$o .= '<ul style="list-style-type: none;">' . "\n";
	if (function_exists('curl_init')) {
			$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>' 
			   . ' cURL &#x2192 is installed</li>' 
			   . "\n";
		} else {
			$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>' 
			   . ' cURL &#x2192 is not installed</li>' 
			   . "\n";
		}
	$o .= '</ul>' . "\n";
// CMSimple_XH Version
	$op_cms_version_tmp = CMSIMPLE_XH_VERSION;
	$op_cms_version_tmp = str_replace(array('CMSimple_XH ', '.'), '', $op_cms_version_tmp);
	$op_cms_version_tmp = intval($op_cms_version_tmp);
	$op_cms_version = 167;
	$o .= '<ul style="list-style-type: none;">' . "\n";
	if ($op_cms_version_tmp < $op_cms_version) {
		$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>' 
		   . CMSIMPLE_XH_VERSION 
		   . ' &#x2192 not supported</li>' 
		   . "\n";
	} else if ($op_cms_version_tmp == $op_cms_version){
		$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>' 
		   . CMSIMPLE_XH_VERSION 
		   . ' &#x2192 supported</li>' 
		   . "\n";
	} else if ($op_cms_version_tmp > $op_cms_version){
		$o .= '<li><span style="color: #ffcc00; font-size: 20px">&#x2714 &#x263A </span>' 
		   . CMSIMPLE_XH_VERSION 
		   . ' &#x2192 I hope it is still supported. It was designed for 1.6.7.</li>' 
		   . "\n";
	}
	$o .= '</ul>' . "\n";
// PHP Version
	$o .= '<ul style="list-style-type: none;">' . "\n";
	if (version_compare(phpversion(), '5.1.5', '<')) {
		$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>PHP: ' 
		   . phpversion() 
		   . ' &#x2192 not supported</li>' 
		   . "\n";
	} else {
		$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>PHP: ' 
		   . phpversion() 
		   . ' &#x2192 supported</li>' 
		   . "\n";
	}
	$o .= '</ul>' . "\n";
// Schreibrechte
	$op_filename_arr = array($pth['folder']['plugins'] . 'remotecontent/css/stylesheet.css', 
							 $pth['folder']['plugins'] . 'remotecontent/languages/' . $sl . '.php', 
							 $pth['folder']['plugins'] . 'remotecontent/languages/');
	$o .= '<ul style="list-style-type: none;">' . "\n";
	foreach($op_filename_arr as $op_filename) {
		if (is_writable($op_filename)) {
			$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>' 
			   . $op_filename 
			   . ' &#x2192 writable</li>' 
			   . "\n";
		} else {
			$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>' 
			   . $op_filename . ' &#x2192 not writable</li>' 
			   . "\n";
		}
	}
	$o .= '</ul>' . "\n";
//*********************************************************************************************
}
?>